<div class="modal-header">
  <h4 class="modal-title">Create New Client</h4>
  <button type="button" class="close" aria-label="Close" (click)="close()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<form [formGroup]="clientForm" (submit)="submitForm()">
  <div class="modal-body">

    <div class="form-group">
      <label>Client Name</label>
      <input formControlName="name" placeholder="Client name" type="text" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.name.errors }">
      <div *ngIf="submitted && f.name.errors" class="invalid-feedback">
        <div *ngIf="f.name.errors.required">Client name is required</div>
      </div>
    </div>

    <label>Client Address:</label>
    <div [formGroupName]="'address'" class="form-group">
      <label class="m-2">Street</label>
      <input formControlName="street" placeholder="Client street" type="text" class="form-control">

      <label class="m-2">House number</label>
      <input formControlName="houseNumber" placeholder="Client house number" type="text" class="form-control">

      <label class="m-2">City</label>
      <input formControlName="city" placeholder="Client city" type="text" class="form-control" [ngClass]="{ 'is-invalid': submitted && g.city.errors }">
      <div *ngIf="submitted && g.city.errors" class="invalid-feedback">
        <div *ngIf="g.city.errors.required">City is required</div>
      </div>

      <label class="m-2">State</label>
      <input formControlName="state" placeholder="Client state" type="text" class="form-control">

      <label class="m-2">Country</label>
      <input formControlName="country" placeholder="Client country" type="text" class="form-control" [ngClass]="{ 'is-invalid': submitted && g.country.errors }">
      <div *ngIf="submitted && g.country.errors" class="invalid-feedback">
        <div *ngIf="g.country.errors.required">Country is required</div>
      </div>
    </div>

  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="reset()">Cancel</button>
    <button type="submit" class="btn btn-success">Submit</button>
  </div>
</form>
